Skip to main content
POST
Upload a document

Authorizations

Authorization
string
header
required

Bearer authentication header on the format Bearer <API_KEY>.

Headers

Idempotency-Key
string

Optional idempotency key: any string, a UUID v4 is recommended. Resending the same key with a different request body is a conflict. Cached responses include the header X-Idempotent-Cached: true. Keys expire after 24 hours.

Path Parameters

id
string<uuid>
required

Customer's unique identifier.

Body

multipart/form-data
file
file
required

Document's file. An image (any image/* type) or a PDF, up to 50 MB.

type
enum<string>
required

Document's type, accepted in any case. Allowed types depend on who the document is for. See Document types for the types accepted for each customer and associated party type.

Available options:
ID_CARD,
PASSPORT,
DRIVERS_LICENSE,
RESIDENCE_PERMIT,
PROOF_OF_ADDRESS,
BANK_STATEMENT,
DELIVERY_RECEIPT,
INCOME_TAX_RETURN,
INCORPORATION_ARTICLES,
SHAREHOLDER_REGISTRY,
DIRECTORS_REGISTRY,
POWER_OF_ATTORNEY,
REGULATED_ACTIVITY_DOCUMENT,
SIGNED_BALANCE_SHEET,
SIGNED_CORPORATE_STRUCTURE_CHART,
SIGNED_INCOME_STATEMENT,
OTHER,
LIMIT_REQUEST_BANK_STATEMENT,
LIMIT_REQUEST_TAX_RETURN,
LIMIT_REQUEST_FINANCIAL_STATEMENTS
Example:

"ID_CARD"

country
enum<string>
required

Document's issuing country (ISO 3166-1 alpha-3).

Available options:
ABW,
AFG,
AGO,
AIA,
ALA,
ALB,
AND,
ARE,
ARG,
ARM,
ASM,
ATA,
ATF,
ATG,
AUS,
AUT,
AZE,
BDI,
BEL,
BEN,
BES,
BFA,
BGD,
BGR,
BHR,
BHS,
BIH,
BLM,
BLZ,
BMU,
BOL,
BRA,
BRB,
BRN,
BTN,
BVT,
BWA,
CAF,
CAN,
CCK,
CHE,
CHL,
CHN,
CIV,
CMR,
COD,
COG,
COK,
COL,
COM,
CPV,
CRI,
CUW,
CXR,
CYM,
CYP,
CZE,
DEU,
DJI,
DMA,
DNK,
DOM,
DZA,
ECU,
EGY,
ERI,
ESH,
ESP,
EST,
ETH,
FIN,
FJI,
FLK,
FRA,
FRO,
FSM,
GAB,
GBR,
GEO,
GGY,
GHA,
GIB,
GIN,
GLP,
GMB,
GNB,
GNQ,
GRC,
GRD,
GRL,
GTM,
GUF,
GUM,
GUY,
HKG,
HMD,
HND,
HRV,
HTI,
HUN,
IDN,
IMN,
IND,
IOT,
IRL,
IRQ,
ISL,
ISR,
ITA,
JAM,
JEY,
JOR,
JPN,
KAZ,
KEN,
KGZ,
KHM,
KIR,
KNA,
KOR,
KWT,
LAO,
LBN,
LBR,
LBY,
LCA,
LIE,
LKA,
LSO,
LTU,
LUX,
LVA,
MAC,
MAF,
MAR,
MCO,
MDA,
MDG,
MDV,
MEX,
MHL,
MKD,
MLI,
MLT,
MNE,
MNG,
MNP,
MOZ,
MRT,
MSR,
MTQ,
MUS,
MWI,
MYS,
MYT,
NAM,
NCL,
NER,
NFK,
NGA,
NIC,
NIU,
NLD,
NOR,
NPL,
NRU,
NZL,
OMN,
PAK,
PAN,
PCN,
PER,
PHL,
PLW,
PNG,
POL,
PRI,
PRT,
PRY,
PSE,
PYF,
QAT,
REU,
ROU,
RWA,
SAU,
SDN,
SEN,
SGP,
SGS,
SHN,
SJM,
SLB,
SLE,
SLV,
SMR,
SOM,
SPM,
SRB,
SSD,
STP,
SUR,
SVK,
SVN,
SWE,
SWZ,
SXM,
SYC,
TCA,
TCD,
TGO,
THA,
TJK,
TKL,
TKM,
TLS,
TON,
TTO,
TUN,
TUR,
TUV,
TWN,
TZA,
UGA,
UKR,
UMI,
URY,
USA,
UZB,
VAT,
VCT,
VGB,
VIR,
VNM,
VUT,
WLF,
WSM,
YEM,
ZAF,
ZMB,
ZWE
Example:

"BRA"

side
enum<string>

Document's side, accepted in any case. Optional; use it for two-sided documents such as ID_CARD and DRIVERS_LICENSE.

Available options:
FRONT_SIDE,
BACK_SIDE
Example:

"FRONT_SIDE"

associatedPartyId
string<uuid>

Associated party's unique identifier. Send it to upload the document for that associated party instead of the customer.

Example:

"a1b2c3d4-e5f6-4890-abcd-ef1234567890"

Response

Document successfully uploaded. Empty body for every type except LIMIT_REQUEST_*.

Upload result.

documentId
string<uuid>

Uploaded document's unique identifier. Send it as supportingDocumentId when creating a limit request.

Example:

"6c405746-7875-40fd-af41-43552c501dc6"